## com.sun.jersey.api.model
Class ResourceModelIssue

    java.lang.Object
      com.sun.jersey.api.model.ResourceModelIssue

    public class ResourceModelIssue

extends java.lang.Object

Abstraction for various issues of a resource model validity like: no resources, duplicated uri templates, etc.

Author:
  japod

Constructor Summary
`ResourceModelIssue(java.lang.Object source, java.lang.String message)`
`ResourceModelIssue(java.lang.Object source, java.lang.String message, boolean fatal)`

Method Summary
`java.lang.String` | `getMessage()` Human readible description of the issue
`java.lang.Object` | `getSource()` Corresponding object (having the issue)
`boolean` | `isFatal()` If this returns true, appropriate abstract resource has a fatal issue

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceModelIssue

    public ResourceModelIssue(java.lang.Object source,
                              java.lang.String message)

### ResourceModelIssue

    public ResourceModelIssue(java.lang.Object source,
                              java.lang.String message,
                              boolean fatal)

Method Detail

### getMessage

    public java.lang.String getMessage()

  Human readible description of the issue

### isFatal

    public boolean isFatal()

  If this returns true, appropriate abstract resource has a fatal issue

### getSource

    public java.lang.Object getSource()

  Corresponding object (having the issue)

Copyright © 2017 Oracle Corporation. All Rights Reserved.